List public agents from directory
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/agents/directoryimport requests
url = "https://neo.api.projectdiscovery.io/api/v1/agents/directory"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://neo.api.projectdiscovery.io/api/v1/agents/directory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"total": 123,
"agents": [
{
"description": "<string>",
"fork_count": 123,
"has_dynamic_tools": true,
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"tools_count": 123,
"type": "user",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_hash": "<string>",
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"creator_username": "<string>",
"custom_tools": [
{
"commandTemplate": "<string>",
"description": "<string>",
"id": "<string>",
"inputSchema": {},
"isExecutable": true,
"scriptContent": "<string>",
"scriptPath": "<string>",
"timeoutSeconds": 123
}
],
"custom_tools_count": 123,
"has_installation_requirements": true,
"is_installed": true,
"native_tools": [
"<string>"
],
"prereq_packages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"require_env_vars": [
"<string>"
],
"system_context": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"when_to_use": "<string>"
}
]
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Agent Directory
List public agents from directory
Browse all public agents from the directory with pagination, tag filtering, and text search support.
GET
/
api
/
v1
/
agents
/
directory
List public agents from directory
Query Parameters
Number of agents to return
Required range:
1 <= x <= 100Number of agents to skip
Required range:
x >= 0Comma-separated list of tags to filter by
Search query for name/description
⌘I

